Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.handler
Class PortletRequestMethodNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException
                  org.springframework.web.portlet.handler.PortletRequestMethodNotSupportedException

All Implemented Interfaces:
  Serializable

    public class PortletRequestMethodNotSupportedException

extends javax.portlet.PortletException

Exception thrown when a request handler does not support a specific request method.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`PortletRequestMethodNotSupportedException(String method)` Create a new PortletRequestMethodNotSupportedException.
`PortletRequestMethodNotSupportedException(String[] supportedMethods)` Create a new PortletRequestMethodNotSupportedException.
`PortletRequestMethodNotSupportedException(String method, String[] supportedMethods)` Create a new PortletRequestMethodNotSupportedException.

Method Summary
`String` | `getMethod()` Return the HTTP request method that caused the failure.
`String[]` | `getSupportedMethods()` Return the actually supported HTTP methods, if known.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletRequestMethodNotSupportedException

    public PortletRequestMethodNotSupportedException(String method)

  Create a new PortletRequestMethodNotSupportedException.

  Parameters:
    `method` - the unsupported HTTP request method

### PortletRequestMethodNotSupportedException

    public PortletRequestMethodNotSupportedException(String method,
                                                     String[] supportedMethods)

  Create a new PortletRequestMethodNotSupportedException.

  Parameters:
    `method` - the unsupported HTTP request method
    `supportedMethods` - the actually supported HTTP methods

### PortletRequestMethodNotSupportedException

    public PortletRequestMethodNotSupportedException(String[] supportedMethods)

  Create a new PortletRequestMethodNotSupportedException.

  Parameters:
    `method` - the unsupported HTTP request method
    `supportedMethods` - the actually supported HTTP methods

Method Detail

### getMethod

    public String getMethod()

  Return the HTTP request method that caused the failure.

### getSupportedMethods

    public String[] getSupportedMethods()

  Return the actually supported HTTP methods, if known.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD